petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerASCIIRead

Reads from am ASCII file

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIRead(PetscViewer viewer,void *data,PetscInt num,PetscInt *count,PetscDataType dtype)

Collective on MPI_Comm Many br

### Input Parameters

| viewer | - the ascii viewer Many br
| data | - location to write the data Many br
| num | - number of items of data to read Many br
| datatype | - type of data to read Many br

### Output Parameters

count -number of items of data actually read, or NULL Many br

Many br

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), Many brPetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead() Many br

Level:beginner
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages